| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Extract sparse vector components
Vector Conversions » Extract vector

## Extract/update 640b sparse integer vector components
v64int4 | extract_v64int4 (v256int4_sparse v, int idx)
v64uint4 | extract_v64uint4 (v256uint4_sparse v, int idx)
v32int8 | extract_v32int8 (v128int8_sparse v, int idx)
v32uint8 | extract_v32uint8 (v128uint8_sparse v, int idx)
v16int16 | extract_v16int16 (v64int16_sparse v, int idx)
v16uint16 | extract_v16uint16 (v64uint16_sparse v, int idx)
v16bfloat16 | extract_v16bfloat16 (v64bfloat16_sparse v, int idx)
v16float16 | extract_v16float16 (v64float16_sparse v, int idx)
v32bfloat8 | extract_v32bfloat8 (v128bfloat8_sparse v, int idx)
v32float8 | extract_v32float8 (v128float8_sparse v, int idx)

## Extract/update 1280b sparse integer vector components
v256int4_sparse | extract_v256int4_sparse (v512int4_sparse v, int idx)
v256uint4_sparse | extract_v256uint4_sparse (v512uint4_sparse v, int idx)
v128int8_sparse | extract_v128int8_sparse (v256int8_sparse v, int idx)
v128uint8_sparse | extract_v128uint8_sparse (v256uint8_sparse v, int idx)
v64int16_sparse | extract_v64int16_sparse (v128int16_sparse v, int idx)
v64uint16_sparse | extract_v64uint16_sparse (v128uint16_sparse v, int idx)
v64bfloat16_sparse | extract_v64bfloat16_sparse (v128bfloat16_sparse v, int idx)
v64float16_sparse | extract_v64float16_sparse (v128float16_sparse v, int idx)
v128bfloat8_sparse | extract_v128bfloat8_sparse (v256bfloat8_sparse v, int idx)
v128float8_sparse | extract_v128float8_sparse (v256float8_sparse v, int idx)
v128int4 | extract_v128int4 (v512int4_sparse v, int idx)
v128uint4 | extract_v128uint4 (v512uint4_sparse v, int idx)
v64int8 | extract_v64int8 (v256int8_sparse v, int idx)
v64uint8 | extract_v64uint8 (v256uint8_sparse v, int idx)
v32int16 | extract_v32int16 (v128int16_sparse v, int idx)
v32uint16 | extract_v32uint16 (v128uint16_sparse v, int idx)
v32bfloat16 | extract_v32bfloat16 (v128bfloat16_sparse v, int idx)
v32float16 | extract_v32float16 (v128float16_sparse v, int idx)
v64bfloat8 | extract_v64bfloat8 (v256bfloat8_sparse v, int idx)
v64float8 | extract_v64float8 (v256float8_sparse v, int idx)
sparsity_t | extract_sparsity (v512int4_sparse v, int idx)
sparsity_t | extract_sparsity (v512uint4_sparse v, int idx)
sparsity_t | extract_sparsity (v256int8_sparse v, int idx)
sparsity_t | extract_sparsity (v256uint8_sparse v, int idx)
sparsity_t | extract_sparsity (v128int16_sparse v, int idx)
sparsity_t | extract_sparsity (v128uint16_sparse v, int idx)
sparsity_t | extract_sparsity (v128bfloat16_sparse v, int idx)
sparsity_t | extract_sparsity (v128float16_sparse v, int idx)
sparsity_t | extract_sparsity (v256bfloat8_sparse v, int idx)
sparsity_t | extract_sparsity (v256float8_sparse v, int idx)

## Detailed Description

## Function Documentation

## ◆ extract_sparsity() [1/10]

sparsity_t extract_sparsity | ( | v128bfloat16_sparse | v,
|  | int | idx )

## ◆ extract_sparsity() [2/10]

sparsity_t extract_sparsity | ( | v128float16_sparse | v,
|  | int | idx )

## ◆ extract_sparsity() [3/10]

sparsity_t extract_sparsity | ( | v128int16_sparse | v,
|  | int | idx )

## ◆ extract_sparsity() [4/10]

sparsity_t extract_sparsity | ( | v128uint16_sparse | v,
|  | int | idx )

## ◆ extract_sparsity() [5/10]

sparsity_t extract_sparsity | ( | v256bfloat8_sparse | v,
|  | int | idx )

## ◆ extract_sparsity() [6/10]

sparsity_t extract_sparsity | ( | v256float8_sparse | v,
|  | int | idx )

## ◆ extract_sparsity() [7/10]

sparsity_t extract_sparsity | ( | v256int8_sparse | v,
|  | int | idx )

## ◆ extract_sparsity() [8/10]

sparsity_t extract_sparsity | ( | v256uint8_sparse | v,
|  | int | idx )

## ◆ extract_sparsity() [9/10]

sparsity_t extract_sparsity | ( | v512int4_sparse | v,
|  | int | idx )

## ◆ extract_sparsity() [10/10]

sparsity_t extract_sparsity | ( | v512uint4_sparse | v,
|  | int | idx )

## ◆ extract_v128bfloat8_sparse()

v128bfloat8_sparse extract_v128bfloat8_sparse | ( | v256bfloat8_sparse | v,
|  | int | idx )

## ◆ extract_v128float8_sparse()

v128float8_sparse extract_v128float8_sparse | ( | v256float8_sparse | v,
|  | int | idx )

## ◆ extract_v128int4()

v128int4 extract_v128int4 | ( | v512int4_sparse | v,
|  | int | idx )

## ◆ extract_v128int8_sparse()

v128int8_sparse extract_v128int8_sparse | ( | v256int8_sparse | v,
|  | int | idx )

## ◆ extract_v128uint4()

v128uint4 extract_v128uint4 | ( | v512uint4_sparse | v,
|  | int | idx )

## ◆ extract_v128uint8_sparse()

v128uint8_sparse extract_v128uint8_sparse | ( | v256uint8_sparse | v,
|  | int | idx )

## ◆ extract_v16bfloat16()

v16bfloat16 extract_v16bfloat16 | ( | v64bfloat16_sparse | v,
|  | int | idx )

## ◆ extract_v16float16()

v16float16 extract_v16float16 | ( | v64float16_sparse | v,
|  | int | idx )

## ◆ extract_v16int16()

v16int16 extract_v16int16 | ( | v64int16_sparse | v,
|  | int | idx )

## ◆ extract_v16uint16()

v16uint16 extract_v16uint16 | ( | v64uint16_sparse | v,
|  | int | idx )

## ◆ extract_v256int4_sparse()

v256int4_sparse extract_v256int4_sparse | ( | v512int4_sparse | v,
|  | int | idx )

## ◆ extract_v256uint4_sparse()

v256uint4_sparse extract_v256uint4_sparse | ( | v512uint4_sparse | v,
|  | int | idx )

## ◆ extract_v32bfloat16()

v32bfloat16 extract_v32bfloat16 | ( | v128bfloat16_sparse | v,
|  | int | idx )

## ◆ extract_v32bfloat8()

v32bfloat8 extract_v32bfloat8 | ( | v128bfloat8_sparse | v,
|  | int | idx )

## ◆ extract_v32float16()

v32float16 extract_v32float16 | ( | v128float16_sparse | v,
|  | int | idx )

## ◆ extract_v32float8()

v32float8 extract_v32float8 | ( | v128float8_sparse | v,
|  | int | idx )

## ◆ extract_v32int16()

v32int16 extract_v32int16 | ( | v128int16_sparse | v,
|  | int | idx )

## ◆ extract_v32int8()

v32int8 extract_v32int8 | ( | v128int8_sparse | v,
|  | int | idx )

## ◆ extract_v32uint16()

v32uint16 extract_v32uint16 | ( | v128uint16_sparse | v,
|  | int | idx )

## ◆ extract_v32uint8()

v32uint8 extract_v32uint8 | ( | v128uint8_sparse | v,
|  | int | idx )

## ◆ extract_v64bfloat16_sparse()

v64bfloat16_sparse extract_v64bfloat16_sparse | ( | v128bfloat16_sparse | v,
|  | int | idx )

## ◆ extract_v64bfloat8()

v64bfloat8 extract_v64bfloat8 | ( | v256bfloat8_sparse | v,
|  | int | idx )

## ◆ extract_v64float16_sparse()

v64float16_sparse extract_v64float16_sparse | ( | v128float16_sparse | v,
|  | int | idx )

## ◆ extract_v64float8()

v64float8 extract_v64float8 | ( | v256float8_sparse | v,
|  | int | idx )

## ◆ extract_v64int16_sparse()

v64int16_sparse extract_v64int16_sparse | ( | v128int16_sparse | v,
|  | int | idx )

## ◆ extract_v64int4()

v64int4 extract_v64int4 | ( | v256int4_sparse | v,
|  | int | idx )

## ◆ extract_v64int8()

v64int8 extract_v64int8 | ( | v256int8_sparse | v,
|  | int | idx )

## ◆ extract_v64uint16_sparse()

v64uint16_sparse extract_v64uint16_sparse | ( | v128uint16_sparse | v,
|  | int | idx )

## ◆ extract_v64uint4()

v64uint4 extract_v64uint4 | ( | v256uint4_sparse | v,
|  | int | idx )

## ◆ extract_v64uint8()

v64uint8 extract_v64uint8 | ( | v256uint8_sparse | v,
|  | int | idx )